Автор Тема: После установки не загружается Libreoffice  (Прочитано 3994 раз)

Оффлайн rits

  • Завсегдатай
  • *
  • Сообщений: 1 055
  • ITS
 Открыть журнал с указанием кода важности:
# journalctl -p 0

Для уровней важности, приняты следующие обозначения:

    0: emergency (неработоспособность системы)
    1: alerts (предупреждения, требующие немедленного вмешательства)
    2: critical (критическое состояние)
    3: errors (ошибки)
    4: warning (предупреждения)
    5: notice (уведомления)
    6: info (информационные сообщения)
    7: debug (отладочные сообщения)


Пример:
journalctl -p 3
journalctl -p 7 | grep -i libreoffice

или запустить программу и после выполнить journalctl -xn
и с приложенным текстом, более или менее соответствующему ошибке писать на форум
как то так

Оффлайн Арбичев

  • Завсегдатай
  • *
  • Сообщений: 518
    • Email
journalctl -xn
Команда journalctl -xn ничего не показала:
[admin@yetlake ~]$ sudo journalctl -xn
окт 24 13:34:09 yetlake sudo[3512]: pam_tcb(sudo:session): Session opened for root by admin(uid=500)
окт 24 13:34:27 yetlake sudo[3512]: pam_tcb(sudo:session): Session closed for root
окт 24 13:34:33 yetlake sudo[3517]:    admin : HOST=yetlake ; TTY=pts/0 ; PWD=/home/admin ; USER=root ; COMMAND=/sbin/journalctl -p 6
окт 24 13:34:33 yetlake sudo[3517]: pam_tcb(sudo:session): Session opened for root by admin(uid=500)
окт 24 13:34:47 yetlake sudo[3517]: pam_tcb(sudo:session): Session closed for root
окт 24 13:34:55 yetlake sudo[3522]:    admin : HOST=yetlake ; TTY=pts/0 ; PWD=/home/admin ; USER=root ; COMMAND=/sbin/journalctl -p 7
окт 24 13:34:55 yetlake sudo[3522]: pam_tcb(sudo:session): Session opened for root by admin(uid=500)
окт 24 13:35:03 yetlake sudo[3522]: pam_tcb(sudo:session): Session closed for root
окт 24 13:37:04 yetlake sudo[3552]:    admin : HOST=yetlake ; TTY=pts/0 ; PWD=/home/admin ; USER=root ; COMMAND=/sbin/journalctl -xn
окт 24 13:37:04 yetlake sudo[3552]: pam_tcb(sudo:session): Session opened for root by admin(uid=500)
[admin@yetlake ~]$
Lenovo Z 50-70 openSUSE Tumbleewed

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 10 259
... он должен ее сам установить по зависимостям. Повторяю, это не должно быть проблемой конечного пользователя.

Подтверждается:
Отказ запуска LibreOffice 7.4 в xfce-sysv.
С выводом пустого окна и заголовком окна:
LibreOffice 7.4 - Fatal Error

Разгребать зависимости и описывать их в спеке, это проблема мейнтейнера, а не пользователя.
Нужно быть на редкость рукожопым, чтобы программу валящуюся на запуске по критической ошибке, опакетить и отправить в стабильный репозиторий.

Оффлайн NickM

  • Завсегдатай
  • *
  • Сообщений: 906
Может всё дело в аппаратном ускорении? Приложение в safemode открывается?

Оффлайн stranger573

  • Мастер
  • ***
  • Сообщений: 1 477
    • Email
Может всё дело
В нестабильной версии 7.4.2.3. Стабильная 7.4.7.2.

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 10 259
Может всё дело в аппаратном ускорении? Приложение в safemode открывается?

Нет:
LibreOffice 7.4 - Fatal Error
« Последнее редактирование: 25.10.2023 21:31:40 от Speccyfighter »

Оффлайн GrishaDm

  • Давно тут
  • **
  • Сообщений: 345
Попробовал установить Apache_OpenOffice_4.1.14_Linux_x86-64_install-rpm_ru.
Вот сам офис: https://sourceforge.net/projects/openofficeorg.mirror/files/4.1.14/binaries/ru/Apache_OpenOffice_4.1.14_Linux_x86-64_install-rpm_ru.tar.gz/download
А вот его локализация: https://sourceforge.net/projects/openofficeorg.mirror/files/4.1.14/binaries/ru/Apache_OpenOffice_4.1.14_Linux_x86-64_langpack-rpm_ru.tar.gz/download
А там конфликт (см. 1й скриншот).
На 2м скриншоте конфликт при установке wps-office-11.1.0.11704.XA-1.x86_64.rpm
« Последнее редактирование: 26.10.2023 03:00:28 от GrishaDm »

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 10 259
Попробовал установить Apache_OpenOffice_4.1.14_Linux_x86-64_install-rpm_ru.

Главный вопрос не в том, какой офис и откуда установится в систему на p10. А в том, когда альты прекратят толкать в стабильный репозиторий пакеты, программы в которых, вылетают по критическим ошибкам.
И это у альтов уже не первый случай.

Тестирование таких пакетов, выполняется невероятно просто:
- Перед тестированием, выбросьте нахер свои базальтовские системы.
- Возьмите минималистичный стартеркит. Чем меньше, тем лучше. Например p10-xfce, заведомо меньше чем p10-xfce-sysv. Меньше образ - меньше в нём пакетов.
- Установка пакета из стабильного репозитория и запуск программы, обязана проходить без вылета по ошибкам и без эквилибристики со стороны пользователя.
- Любой отказ, на инсталляции или запуске, это блокер для переноса пакета в стабильный репозиторий.

Что здесь нахер непонятного?

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 10 259
Логов и вывода ошибок, по вылету на ошибке нет.
strace вылета по Fatal Error:

Оффлайн GrishaDm

  • Давно тут
  • **
  • Сообщений: 345
А кстати что думает ваше сообщество про ПО компании "Мой офис" и участвует ли в форуме, про который пишут в новостях ( https://ngs.ru/text/gorod/2023/10/25/72841043/?erid=Kra249saf )?
К теме офисов ещё - в gnome есть программа abiword которая без проблем ставится в synaptic и визуально напоминает MS Word 2003. Но, увы, она работает только с форматами файлов ".rtf". Ни ".doc", ни, тем более, ".docx" она не понимает.
А если вообще просто текст в формате ".txt" читать или набирать - то, на мой взгляд, лучше всего Notepadqq.
« Последнее редактирование: 26.10.2023 08:54:07 от GrishaDm »

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 10 259
А кстати что думает ваше сообщество про ПО компании "Мой офис"

$ rpm -qpi ./myoffice-standard-home-edition-2.3.0-x86_64.rpm | grep '^Name\|^License'
Name        : myoffice-standard-home-edition
License     : MyOffice proprietary license

Оффлайн ASte

  • Мастер
  • ***
  • Сообщений: 1 557
А с пакетом LibreOffice-still (7.5.7) у вас эта ошибка тоже воспроизводится?

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 10 259
Со стартом LibreOffice-7.4.2.3-alt4 на alt-p10-xfce-20230910-x86_64, аналогично, - вылет на старте по Fatal Error

Устанавливаемые по зависимостям пакеты (минус в конце имени, это удаляемые пакеты на инсталляции пакета )
# cat install-LibreOffice-7.4.2.3-alt4.x86_64-p10.txt
  LibreOffice LibreOffice-common LibreOffice-extensions LibreOffice-integrated ca-trust-java flute java-17-openjdk-headless
  java-common javapackages-filesystem javapackages-tools javazi libabw libbase libboost_filesystem1.76.0 libboost_iostreams1.76.0
  libboost_locale1.76.0 libboost_system1.76.0 libboost_thread1.76.0 libbox2d libcdr libclucene-contribs-lib libclucene-core
  libclucene-shared libcmis libe-book libepubgen libetonyek libexttextcat libfonts libformula libfreehand libgpgmepp6 libiodbc
  libixion liblangtag liblayout libloader liblpsolve libmspub libmwaw libmysqlclient21 libmythes libnumbertext libodfgen liborcus
  libpagemaker libpq5 libpython3 libqxp librasqal3 libredland libreoffice-languagetool librepository librevenge libserializer
  libstaroffice libvisio libwpd10 libwpg libwps libxmlsec1-nss libzmf pentaho-libxml pentaho-reporting-flow-engine
  python3-module-enchant python3-module-pymorphy2 sac

libxmlsec1-openssl-
libxmlsec1-

Оффлайн GrishaDm

  • Давно тут
  • **
  • Сообщений: 345
Цитировать
$ rpm -qpi ./myoffice-standard-home-edition-2.3.0-x86_64.rpm | grep '^Name\|^License'
Name        : myoffice-standard-home-edition
License     : MyOffice proprietary license
У меня он не ставится.
Цитировать
Получено: 1 http://ftp.altlinux.org p10/branch/x86_64 release [4223B]

Получено: 2 http://ftp.altlinux.org p10/branch/x86_64-i586 release [1665B]

Получено: 3 http://ftp.altlinux.org p10/branch/noarch release [2844B]

Получено 8732B за 0s (15,1kB/s).

Получено: 1 http://ftp.altlinux.org p10/branch/x86_64/classic pkglist [23,7MB]

Reading Package Lists...
Building Dependency Tree...
Selecting myoffice-standard-home-edition for '/home/a/Загрузки/myoffice-standard-home-edition-2.3.0-x86_64.rpm'
The following NEW packages will be installed:
  myoffice-standard-home-edition
0 upgraded, 1 newly installed, 0 removed and 337 not upgraded.
Need to get 0B/117MB of archives.
After unpacking 331MB of additional disk space will be used.
Committing changes...
Preparing...                            ################################# [100%]
Updating / installing...
1: myoffice-standard-home-edition-1:2.3.0-55 ################################# [100%]
Получено: 2 http://ftp.altlinux.org p10/branch/x86_64/classic release [137B]

Получено: 3 http://ftp.altlinux.org p10/branch/x86_64-i586/classic pkglist [17,4MB]

Получено: 4 http://ftp.altlinux.org p10/branch/x86_64-i586/classic release [142B]

Получено: 5 http://ftp.altlinux.org p10/branch/noarch/classic pkglist [7118kB]

Получено: 6 http://ftp.altlinux.org p10/branch/noarch/classic release [137B]

Получено 48,2MB за 59s (806kB/s).

Running post install script...
Чтение списков пакетов...

Построение дерева зависимостей...

W: В Вашей системе установлено несколько версий пакета "gpg-pubkey".



Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не

оставите только одну его версию. Чтобы оставить установленными несколько версий,

и не п

W: Возможно, Вам потребуется запустить `apt-get update' для исправления.

Done.
Done.
W: There are multiple versions of "gpg-pubkey" in your system.

This package won't be cleanly updated, unless you leave
only one version. To leave multiple versions installed,
you may remove that warning by setting the following
option in your configuration file:

RPM::Allow-Duplicated { "^gpg-pubkey$"; };

To disable these warnings completely set:

RPM::Allow-Duplicated-Warning "false";

W: You may want to run apt-get update to correct these problems

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 10 259
А с пакетом LibreOffice-still (7.5.7) у вас эта ошибка тоже воспроизводится?

В alt-p10-xfce-20230910-x86_64 (systemd)
# cat install-LibreOffice-still.txt
  LibreOffice-still LibreOffice-still-common LibreOffice-still-extensions LibreOffice-still-integrated LibreOffice-still-mimetypes
  ca-trust-java flute java-17-openjdk-headless java-common javapackages-filesystem javapackages-tools javazi libabw libbase
  libboost_filesystem1.76.0 libboost_iostreams1.76.0 libboost_locale1.76.0 libboost_system1.76.0 libboost_thread1.76.0 libbox2d
  libcdr libclucene-contribs-lib libclucene-core libclucene-shared libcmis libe-book libeot0 libepubgen libetonyek libexttextcat
  libfonts libformula libfreehand libgpgmepp6 libiodbc libixion liblangtag liblayout libloader liblpsolve libmspub libmwaw
  libmysqlclient21 libmythes libnumbertext libodfgen liborcus libpagemaker libpq5 libpython3 libqxp librasqal3 libredland
  librepository librevenge libserializer libstaroffice libvisio libwpd10 libwpg libwps libxmlsec1-nss libzmf pentaho-libxml
  pentaho-reporting-flow-engine sac

  LibreOffice-still-langpack-ru LibreOffice-still-langpack-uk hunspell-ru-lebedev hunspell-uk hyphen-uk ispell-ru-lebedev-common
  mythes-ru mythes-uk

и в системе на p10-xfce-sysv
# cat install-LibreOffice-still_p10-xfce-sysv.txt
  LibreOffice-still LibreOffice-still-common LibreOffice-still-extensions LibreOffice-still-integrated LibreOffice-still-mimetypes
  ca-trust-java flute java-17-openjdk-headless java-common javapackages-filesystem javapackages-tools javazi libabw libbase
  libboost_filesystem1.76.0 libboost_iostreams1.76.0 libboost_locale1.76.0 libboost_system1.76.0 libboost_thread1.76.0 libbox2d
  libcdr libclucene-contribs-lib libclucene-core libclucene-shared libcmis libe-book libeot0 libepubgen libetonyek libexttextcat
  libfonts libformula libfreehand libgpgmepp6 libiodbc libixion liblangtag liblayout libloader liblpsolve libmspub libmwaw
  libmysqlclient21 libmythes libnumbertext libodfgen liborcus libpagemaker libpq5 libqxp librasqal3 libredland librepository
  librevenge libserializer libstaroffice libvisio libwpd10 libwpg libwps libxmlsec1-nss libzmf pentaho-libxml
  pentaho-reporting-flow-engine sac

  LibreOffice-still-langpack-ru LibreOffice-still-langpack-uk hunspell-ru-lebedev hyphen-uk mythes-ru mythes-uk

ошибка не воспроизводится.
Запуск нормальный, без ошибок.

LibreOffice-7.4.2.3-alt4 из p10 нужно убирать. Как бажный. Вылетающий по критической ошибке на запуске. Отговорки не принимаются.